Subject: Re: [PATCH 9/13] powerpc: Add arch/powerpc mv64x60 I2C platform data setup

From: Arnd Bergmann <[email-masked]>
Date: Thu, 26 Apr 2007 02:55:03 +0200

On Thursday 26 April 2007, Mark A. Greer wrote:
> of_find_compatible_node() is not being called from a driver, its being
> called from platform code. =A0Its extracting info from the device tree and
> setting up the platform_data required by the driver.

Well, the idea of putting the device driver code into a platform specific
location is the smaller part of the problem. Even if it was the right
thing to scan the tree and then create platform_data instead of using
the of_device, that code would still belong into the device driver.

Note that the interrupt controller code in patch 6 is different, because
it is not possible to probe interrupt controllers using the Linux
driver model -- any device driver that gets initialized must assume
that the interrupt controller code and some other infrastructure is
already running.

	Arnd <><